#!/usr/bin/env python

# A script with no standard --help option.  (The only way to find out
# what options are supported is to read the source.)

from optik import OptionParser

def main():
    parser = OptionParser("%prog [options] arg", add_help_option=False)
    parser.add_option("-f", "--foo", help="specify the foo object")
    parser.add_option("-x", "--exclude", help="exclude stuff")
    (options, args) = parser.parse_args()
    if len(args) != 1:
	parser.error("exactly one argument required")
    else:
	print "your argument was: %r" % args[0]
	print "option values: %r" % options

main()
